
brainvisa-development - Defect #394

Comoilation failed in aimsgift : expat.h is missing

31/08/2009 03:11 PM - Duchesnay, Edouard

Status: Closed Start date: 31/08/2009

Priority: Urgent Due date:  

Assignee: Riviere, Denis % Done: 0%

Category:  Estimated time: 0:00 hour

Target version: development-3.2 Spent time: 0:15 hour

Resolution: Fixed   

Description

gifticlib seems to require a file called expat.h:

/build-trunk-Mandriva-2008.0-i686-default/include/aims/io/gifticlib/gifti_io.h:5:19: erreur: expat.h : Aucun fichier ou répertoire de ce

type

Associated revisions

Revision 34429 - 02/09/2009 10:59 AM - Cointepas, Yann

fixes #394

History

#1 - 31/08/2009 03:29 PM - Riviere, Denis

- Assignee set to Riviere, Denis

- Priority changed from Normal to Urgent

- Target version set to aims-3.2

This bug was found last friday. I changed the way libexpat was detected (formerly, only the runtime was searched, and now the giftilib requires the

header too). Have you updated build-config today ?

If yes, the bug is still here. It should disable the gifti plugin, not break compilation.

If not, it's probably fixed.

Could you please tell me which case you are in ?

Afterwards, if you want the gifti plugin, you should install the libexpat-devel package on your linux distrib.

#2 - 31/08/2009 04:14 PM - Duchesnay, Edouard

Riviere, Denis a écrit:

This bug was found last friday. I changed the way libexpat was detected (formerly, only the runtime was searched, and now the giftilib requires

the header too). Have you updated build-config today ?

 Yes:

[ed203246@is206881 brainvisa]$ svn log l 2 /home/ed203246/svn/brainvisa/development/build-config/trunk/build-config

-----------------------------------------------------------------------

r34332 | driviere | 2009-08-28 18:55:29 +0200 (ven 28 aoû 2009) | 7 lignes

docbook (buildDoc) doc generation updates:

- take all docbook projects in <bcg-project>/docbook/* (regardless of the docbookDoc[s]() methods of components)

- pass the --sources option to buildDoc.

#380

------------------------------------------------------------------------

r34330 | brainvisa-admin | 2009-08-28 16:30:53 +0200 (ven 28 aoû 2009) | 3 lignes

fixed expat.h in component detection

[ed203246@is206881 brainvisa]$ grep expat.h /home/ed203246/svn/brainvisa/development/build-config/trunk/build-config

_includeFile = 'expat.h'
So I think that the bug is still here: the gifti plugin is not disabled

Afterwards, if you want the gifti plugin, you should install the libexpat-devel package on your linux distrib.

 I did it, this fixes the problem

#3 - 31/08/2009 06:16 PM - Riviere, Denis

- Project changed from brainvisa-aims to brainvisa-development

- Target version deleted (aims-3.2)

#4 - 31/08/2009 06:19 PM - Riviere, Denis

- Target version set to development-3.2

- Resolution set to Fixed

r34394

#5 - 31/08/2009 06:21 PM - Riviere, Denis

- Status changed from New to Closed

#6 - 02/09/2009 10:54 AM - Geffroy, Dominique

It seems that it still doesn't work. I updated my repository and try to compile aims in stable version and I got this error message :

/volatile/geffroy/svn/aims/aims-free/branches/stable/aimsdata/src/aimsgifti/io/gifticlib/gifti_io.h:5:19: erre

ur: expat.h : Aucun fichier ou répertoire de ce type

#7 - 02/09/2009 11:42 AM - Cointepas, Yann

Fixed (with Denis)
